Bug 174744 - devel/coccinelle fix build with clang
devel/coccinelle fix build with clang
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
Depends on:
  Show dependency treegraph
Reported: 2012-12-27 19:50 UTC by Pawel Pekala
Modified: 2013-01-16 19:46 UTC (History)
0 users

See Also:

file.diff (373 bytes, patch)
2012-12-27 19:50 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2012-12-27 19:50:00 UTC
This patch fixes port build when compiled with clang

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-27 19:50:07 UTC
Maintainer of devel/coccinelle,

Please note that PR ports/174744 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2012-12-27 19:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pawel Pekala freebsd_committer 2012-12-27 20:40:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

Comment 4 dfilter freebsd_committer 2013-01-16 19:39:06 UTC
Author: pawel
Date: Wed Jan 16 19:38:54 2013
New Revision: 310519
URL: http://svnweb.freebsd.org/changeset/ports/310519

  Fix build with clang
  PR:		ports/174744
  Submitted by:	myself
  Approved by:	maintainer timeout (2 weeks+)


Modified: head/devel/coccinelle/Makefile
--- head/devel/coccinelle/Makefile	Wed Jan 16 19:37:20 2013	(r310518)
+++ head/devel/coccinelle/Makefile	Wed Jan 16 19:38:54 2013	(r310519)
@@ -1,6 +1,4 @@
-# Ports collection makefile for:	coccinnelle
-# Date created:			Sep 10, 2010
-# Whom:				Andriy Gapon
+# Created by: Andriy Gapon
 # $FreeBSD$
 PORTNAME=	coccinelle
@@ -20,4 +18,8 @@ USE_OCAML=	3.0+
 MAN1=		spatch.1
+	@${REINPLACE_CMD} 's|CAMLreturn0|return 0|' \
+		${WRKSRC}/pycaml/pycaml_ml.c
 .include <bsd.port.mk>
svn-ports-all@freebsd.org mailing list
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-01-16 19:46:47 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!